# Class Exists

java.lang.Object
org.snpsift.lang.expression.Expression
org.snpsift.lang.expression.ExpressionUnary
org.snpsift.lang.expression.Exists

Direct Known Subclasses:
  `Na`

public class Exists extends ExpressionUnary
Exists operator (true if a field exists)

Author:
  pcingola

## Field Summary

### Fields inherited from class ExpressionUnary

`expr`

### Fields inherited from class Expression

`debug, negated, operator`

## Constructor Summary

Constructors
Constructor
Description
`Exists(Expression expr)`

## Method Summary

Modifier and Type
Method
Description
`protected Value`
`evalOp(Value val)`

### Methods inherited from class ExpressionUnary

`eval, eval, toString`

### Methods inherited from class Expression

`setNegated`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Exists

public Exists(Expression expr)

## Method Details

### evalOp

protected Value evalOp(Value val)

Specified by:
  `evalOp` in class `ExpressionUnary`